### Enumeration

# AppStream RelationKind

#### Declaration

    enum AppStream.RelationKind

#### Description [src]

Type of a component’s relation to other items.

#### Members

`AS_RELATION_KIND_UNKNOWN`

  Unknown kind.

  - Value: `0`
  - Available since: 1.0
`AS_RELATION_KIND_REQUIRES`

  The referenced item is required by the component.

  - Value: `1`
  - Available since: 1.0
`AS_RELATION_KIND_RECOMMENDS`

  The referenced item is recommended.

  - Value: `2`
  - Available since: 1.0
`AS_RELATION_KIND_SUPPORTS`

  The referenced item is supported.

  - Value: `3`
  - Available since: 1.0

#### Type functions

###### as_relation_kind_from_string

Converts the text representation to an enumerated value.

since: 0.12.0

###### as_relation_kind_to_string

Converts the enumerated value to a text representation.

since: 0.12.0